<?php
/**
 * Copyright © 2019 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Rma\Api\Model\Config;

class Reader extends \Magento\Framework\Config\Reader\Filesystem
{
 
    protected $_idAttributes = [
        '/rma_reason/standard_name' => 'standard_name',
        '/rma_reason/id' => 'id'
        ];
 
    /**
     * @param \Magento\Framework\Config\FileResolverInterface $fileResolver
     * @param \FiloBlu\Rma\Api\Model\Config\Converter $converter
     * @param \FiloBlu\Rma\Api\Model\Config\SchemaLocator $schemaLocator
     * @param \Magento\Framework\Config\ValidationStateInterface $validationState
     * @param string $fileName
     * @param array $idAttributes
     * @param string $domDocumentClass
     * @param string $defaultScope
     */

    public function __construct(
        \Magento\Framework\Config\FileResolverInterface $fileResolver,
        \FiloBlu\Rma\Api\Model\Config\Converter $converter,
        \FiloBlu\Rma\Api\Model\Config\SchemaLocator $schemaLocator,
        \Magento\Framework\Config\ValidationStateInterface $validationState,
        $fileName = 'rma_reasons.xml',
        $idAttributes = [],
        $domDocumentClass = \Magento\Framework\Config\Dom::class,
        $defaultScope = 'global'
    ) {
        parent::__construct(
            $fileResolver,
            $converter,
            $schemaLocator,
            $validationState,
            $fileName,
            $idAttributes,
            $domDocumentClass,
            $defaultScope
        );
    }
}